'==========================================================================
' Samurize wallpaper rotator gizmo
' Bill Reid, 01/04
' See readme for instructions
'==========================================================================
Function WallpaperRotate()
'Choose a random bitmap image from a specified folder

Dim Folderpath, ImageFolder, Thumbspath
Dim FileSystemObject, txt
Dim Files
Dim lcv
Dim ImageFiles
Dim File
Dim Fileextension
Dim RandomNumber

'==========================================================================

'Path to your wallpaper and thumbs folders here, add trailing slash
Folderpath = "D:\Media\Pictures\Wallpaper\"
Thumbspath = "D:\Media\Pictures\Wallpaper\tn\"

'==========================================================================

Set FileSystemObject = CreateObject("Scripting.FileSystemObject")
Set ImageFolder = FileSystemObject.GetFolder(ThumbsPath)
Set Files = ImageFolder.Files
Set ImageFiles = CreateObject("Scripting.Dictionary")

lcv=1

For Each File in Files
	ImageFiles.Add lcv, File.Name
	lcv = lcv+1
Next

Set ImageFolder = Nothing
Set Files = Nothing


Randomize
RandomNumber = Int((ImageFiles.Count) * Rnd + 1)

'Write filename to text file
Set txt = FileSystemObject.CreateTextFile("scripts\wallchange.txt")
txt.WriteLine Folderpath & Left(ImageFiles.Item(RandomNumber), Len(ImageFiles.Item(RandomNumber)) - 4) & ".bmp"
txt.close


Set FileSystemObject = Nothing
WallpaperRotate = ThumbsPath & ImageFiles.Item(RandomNumber)


End Function
